---
title: 'XMLHttpRequest: timeout event'
slug: Web/API/XMLHttpRequest/timeout_event
tags:
  - API
  - Event
  - Reference
  - XHR
  - XMLHttpRequest
  - events
  - timeout
---
<div>{{APIRef}}</div>

<p>The <strong><code>timeout</code></strong> event is fired when progression is terminated due to preset time expiring.</p>

<table class="properties">
 <tbody>
  <tr>
   <th>Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th>Interface</th>
   <td>{{domxref("ProgressEvent")}}</td>
  </tr>
  <tr>
   <th>Event handler property</th>
   <td>{{domxref("XMLHttpRequestEventTarget.ontimeout")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush: js line-numbers  language-js notranslate">const client = new XMLHttpRequest();
client.open('GET', 'http://www.example.org/example.txt');
client.ontimeout = () =&gt; {
    console.error('Timeout!!')
};

client.send();</pre>

<p>You could also set up the event handler using the {{domxref("EventTarget/addEventListener", "addEventListener()")}} method:</p>

<pre class="brush: js notranslate">client.addEventListener('timeout', () =&gt; {
    console.error("Timeout!!");
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('XMLHttpRequest', '#event-xhr-timeout', 'timeout event')}}</td>
   <td>{{Spec2('XMLHttpRequest')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XMLHttpRequest.timeout_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("XMLHttpRequest")}}</li>
</ul>
